#define	FALSE		0
#define	TRUE		1

#define	BASE_RES_ID			400
#define	NIL					0L
#define	MOVE_TO_FRONT		-1L
#define	REMOVE_ALL_EVENTS	0

#define	SLEEP				0L
#define	NIL_MOUSE_REGION	0L
#define	WNE_TRAP_NUM		0x60
#define	UNIMPL_TRAP_NUM		0x9f

#define	BANNER_OFFSET		96
#define	HORIZONTAL_OFFSET	0
#define	INITIAL_ROW			24
#define	LEFT_MARGIN			10
#define	ROW_HEIGHT			15
#define	SCROLL_BAR_PIXELS	16
#define	START_ROW			0

#define	TEXT_FONT_SIZE		10		/* in pixels */
#define	GRAD_FONT_SIZE		6

#define	APPLE_MENU_ID		BASE_RES_ID
#define	FILE_MENU_ID		BASE_RES_ID+1
#define	EDIT_MENU_ID		BASE_RES_ID+2
#define	OPTION_MENU_ID		BASE_RES_ID+3

#define	OPEN_ITEM			1
#define	TRANSFER_ITEM		3
#define	LAUNCH_ITEM			4
#define QUIT_ITEM			6
#define ABOUT_ITEM			1
#define	COPY_ITEM			4
#define	PASTE_ITEM			5
#define	CLEAR_ITEM			6
#define	CLIPBOARD_ITEM		7
#define	BAUD_ITEM			1
#define	PARITY_ITEM			2
#define	STOP_ITEM			3
#define	FILTER_ITEM			4

#define ABOUT_ALERT			400
#define	LAUNCH_ALERT		401
#define	ENOUGH_ALERT		403
#define	ERR_ALERT			404
#define	CLIPBOARD_ALERT		406
#define	EMPTY_ALERT			407

#define DRAG_THRESHOLD		30

#define	OK_BUTTON			1	/* dialog list items */
#define	CANCEL_BUTTON		2
#define	FIRST_RADIO			3
#define	SECOND_RADIO		4
#define	THIRD_RADIO			5
#define	FOURTH_RADIO		6
#define	FIFTH_RADIO			7
#define	SIXTH_RADIO			8
#define	FIRST_FILTER		3

#define	ON					TRUE
#define	OFF					FALSE

#define	FLOAT_CONST			4	/* floating pt numbers take up 4 bytes */

#define	WATCH_ICON			4

#define	WINDOW_HOME_LEFT	45	/* global coords */
#define	WINDOW_HOME_RIGHT	45
#define	NEW_WINDOW_OFFSET	20
#define	LEAVE_WHERE_IT_IS	FALSE

typedef	struct
{
	StringPtr	pfName;			/* ptr to the name of launchee */
	short int	param;
	char		LC[2];			/* extended params: */
	long int	extBlockLen;	/* number of bytes in extension == 6 */
	short int	fFlags;			/* finder file info flags */
	long int launchFlags;		/* bits 30, & 31 equal 1 for sublaunch */
}  LaunchStruct, *pLaunchStruct;



typedef struct
{
	int		baud;				/* 300 <= baud <= 57600 */
	int		parity;				/* 0 <= parity <= 2 {0 = none, 1 = even, 2 = odd} */
	int		stopBits;			/* 0 <= stopBits <=1 {0 = 1 stop, 1 = 2 stop} */
	int		filter;				/* 0 <= filter <= 255 {ascii range} */
} dlogSettings, *dlogSettingsPtr;
