#******************************************************************
#	
#	Transfer.make
#	
#	(c) 1988, by Clifford Story & Attic Software
#	
#******************************************************************

#******************************************************************
#	Compile the resources
#******************************************************************

Transfer  Transfer.make Transfer.r
	Rez Transfer.r -append -o Transfer

#******************************************************************
#	Compile the common data declarations
#******************************************************************

Common.p.o  Transfer.make Common.p
	Pascal Common.p

#******************************************************************
#	Compile the MDEF
#******************************************************************

'Transfer Menu'.p.o  Transfer.make 'Transfer Menu'.p Common.p.o
	Pascal 'Transfer Menu'.p
Transfer  Transfer.make 'Transfer Menu'.p.o
	Link -m MENUDEF -w -t 'APPL' -c '????' 
     -rt MDEF=1001 -sn Main='Transfer Menu' 
		'Transfer Menu'.p.o 
		"{Libraries}"Interface.o 
		"{Libraries}"Runtime.o 
		"{PLibraries}"PasLib.o 
		"{PLibraries}"SANELib.o 
		-o Transfer

#******************************************************************
#	Compile the LDEF
#******************************************************************

'Transfer List'.p.o  Transfer.make 'Transfer List'.p Common.p.o
	Pascal 'Transfer List'.p
Transfer  Transfer.make 'Transfer List'.p.o
	Link -m LISTDEF -w -t 'APPL' -c '????' 
     -rt LDEF=1001 -sn Main='Transfer List' 
		'Transfer List'.p.o 
		"{Libraries}"Interface.o 
		"{Libraries}"Runtime.o 
		"{PLibraries}"PasLib.o 
		"{PLibraries}"SANELib.o 
		-o Transfer

#******************************************************************
#	Compile the main program
#******************************************************************

Transfer.p.o  Transfer.make Transfer.p Common.p.o
	Pascal Transfer.p
Transfer  Transfer.make Transfer.p.o
	Link -w -t APPL -c '????' 
		Transfer.p.o 
		"{Libraries}"Interface.o 
		"{Libraries}"Runtime.o 
		"{PLibraries}"PasLib.o 
		"{PLibraries}"SANELib.o 
		-o Transfer

#******************************************************************
